#### Next topic

scipy.interpolate.BSpline.basis_element

# scipy.interpolate.BSpline.__call__

`BSpline.``__call__`(x, nu=0, extrapolate=None)

  Evaluate a spline function.

  Parameters:

  x : array_like

  > points to evaluate the spline at.

  nu: int, optional

  > derivative to evaluate (default is 0).

  extrapolate : bool, optional

  > whether to extrapolate based on the first and last intervals or return nans. Default is self.extrapolate.

  Returns:

  y : array_like

  > Shape is determined by replacing the interpolation axis in the coefficient array with the shape of x.